6.0.0-git
2019-04-24

[#14678] Tasks Empty Window
Summary Tasks Empty Window
Queue Nag
Queue Version 4.2.15
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester k.janssen (at) medial-networks (dot) de
Created 2017-08-04 (628 days ago)
Due
Updated 2017-10-20 (551 days ago)
Assigned 2017-08-04 (628 days ago)
Resolved 2017-08-10 (622 days ago)
Milestone 4.2.16
Patch No

History
2017-10-20 20:34:00 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit b02c9bee8ae836e97beeb15025efecbed328af74
Author: Jan Schneider <jan@horde.org>
Date:   Thu, 10 Aug 2017 15:23:20 +0200

[jan] Fix redirecting to task list after completing a task (Bug #14678).

  M docs/CHANGES
  M lib/Task.php
  M package.xml

https://github.com/horde/nag/commit/b02c9bee8ae836e97beeb15025efecbed328af74
2017-08-10 16:40:44 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 5353e7cd31b8f229bd5631f307e4e72a3eec99bf
Author: Jan Schneider <jan@horde.org>
Date:   Thu Aug 10 15:23:20 2017 +0200

     [jan] Fix redirecting to task list after completing a task (Bug #14678).

  nag/docs/CHANGES |  8 ++++++++
  nag/lib/Task.php |  2 +-
  nag/package.xml  | 15 ++++++++++++++-
  3 files changed, 23 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/5353e7cd31b8f229bd5631f307e4e72a3eec99bf
2017-08-10 13:23:46 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 4.2.16
 
2017-08-10 13:23:41 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 25f662ff49885b05aa4c3b84a84135139efaa3c3
Author: Jan Schneider <jan@horde.org>
Date:   Thu Aug 10 15:23:20 2017 +0200

     [jan] Fix redirecting to task list after completing a task (Bug #14678).

  nag/docs/CHANGES | 1 +
  nag/lib/Task.php | 2 +-
  nag/package.xml  | 4 ++--
  3 files changed, 4 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/25f662ff49885b05aa4c3b84a84135139efaa3c3
2017-08-10 10:31:37 k (dot) janssen (at) medial-networks (dot) de Comment #5
New Attachment: CompleteTask.php.patch Download
Reply to this comment
I made a patch which solves the bug. I compared the changes in the nag 
module and so i was able to adresse the problem and create a working 
fix.
2017-08-04 14:04:12 k (dot) janssen (at) medial-networks (dot) de Comment #4
New Attachment: horde.zip Download
Reply to this comment
Please follow the hints at
http://wiki.horde.org/FAQ/Admin/Troubleshoot#wsod to generate and
find a useful error message.
I created a txt file with the log data.
I havent found any errors in the log files. I hope the debug file helps.
The bug doesnt appear when you are doing a hook in the "new task window".
Attachement with pictures added.
2017-08-04 13:07:16 k (dot) janssen (at) medial-networks (dot) de Comment #3
New Attachment: logging.txt Download
Reply to this comment
Please follow the hints at 
http://wiki.horde.org/FAQ/Admin/Troubleshoot#wsod to generate and 
find a useful error message.
I created a txt file with the log data.
2017-08-04 09:30:52 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Please follow the hints at 
http://wiki.horde.org/FAQ/Admin/Troubleshoot#wsod to generate and find 
a useful error message.
2017-08-04 08:13:53 k (dot) janssen (at) medial-networks (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Tasks Empty Window
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
When i place or remove a hook in tasks, an empty window will be shown. 
But when i return to the previous page, i can see that the hook was 
taken over. This is the URL from the empty window:
http://webmail.medial-networks.de/horde5/nag/task/complete.php?url=%2Fhorde5%2Fnag%2Flist.php&task=I2FX9_yQWdP1Z7Jo-sgNgdo&tasklist=RQ3gH_r4MsSuVNTGfzF_Z70

Saved Queries